Name:           tenmado
Version:        0.10
Release:        2%{?dist}
Summary:        Spaceship vertical-scrolling shooting game for X
Group:          Games
License:        GPLv2 or Artistic 2.0
URL:            http://www.interq.or.jp/libra/oohara/%{name}
Source:         http://www.interq.or.jp/libra/oohara/%{name}/%{name}-%{version}.tar.gz
#BuildRequires:  libX11-devel
#BuildRequires:  imake
#BuildRequires:  libXpm-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gcc

BuildRequires:  SDL-devel
BuildRequires:  SDL_image-devel

#Patch1:         tenmado-1.5-fix-str-fmt.patch
#Source1:        tenmado.png

%description
tenmado is a vertically scrolling, late 1990s style (that is, a massive number of enemy 
shots against a smaller-than-it-looks spaceship) shoot 'em up game. A very accurate collision 
detection makes it a game of dexterity. If something looks like a triangle, it is a triangle, 
not a rectangle of similar size.

However, surviving is only 20% of the game. The main feature of tenmado is the 
"color chain bonus". You can get a very big score (about 100 times bigger than 
a normal enemy-destruction point) by destroying enemies of the same color 
successively. It is easy or difficult depending on how greedy you are. 

%prep
%setup -q
#%patch1 -p1 -b.str.fmt

%build
%configure
make %{?_smp_mflags}

%install
%make_install BINDIR=%{buildroot}/%{_prefix}/games \
             PIXMAPDIR=%{buildroot}/%{_datadir}/games/%{name}

install -d %{buildroot}%{_datadir}/pixmaps
cp icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

install -d %{buildroot}%{_localstatedir}/games/%{name}
cp happy-L/default/score-total.txt   %{buildroot}%{_localstatedir}/games/%{name}/score-total.txt
cp happy-L/default/score-stage-1.txt %{buildroot}%{_localstatedir}/games/%{name}/score-stage-1.txt
cp happy-L/default/score-stage-2.txt %{buildroot}%{_localstatedir}/games/%{name}/score-stage-2.txt
cp happy-L/default/score-stage-3.txt %{buildroot}%{_localstatedir}/games/%{name}/score-stage-3.txt
cp happy-L/default/score-stage-4.txt %{buildroot}%{_localstatedir}/games/%{name}/score-stage-4.txt
cp happy-L/default/score-stage-5.txt %{buildroot}%{_localstatedir}/games/%{name}/score-stage-5.txt

%files
%license GPL-2
%license LICENSE
%license Artistic-2
%doc COPYING INSTALL README* ChangeLog THANKS TODO
%dir %{_datadir}/games/%{name}
%{_datadir}/games/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/pixmaps/%{name}.png
%attr(2755,root,games) %{_bindir}/%{name}
%attr(0664,root,games) %config %{_localstatedir}/games/%{name}/score-total.txt
%attr(0664,root,games) %config %{_localstatedir}/games/%{name}/score-stage-1.txt
%attr(0664,root,games) %config %{_localstatedir}/games/%{name}/score-stage-2.txt
%attr(0664,root,games) %config %{_localstatedir}/games/%{name}/score-stage-3.txt
%attr(0664,root,games) %config %{_localstatedir}/games/%{name}/score-stage-4.txt
%attr(0664,root,games) %config %{_localstatedir}/games/%{name}/score-stage-5.txt


%changelog
* Wed Dec 04 2019 josef radinger <cheese@nosuchhost.net> - 0.10-2
- add score-directory

* Wed Dec 04 2019 josef radinger <cheese@nosuchhost.net> - 0.10-1
- initial version

